<tool id="mnc2mnc" description="create a dynamic link to a minc file"
      name="mnc2mnc " version="1.0">
  <authors>
    <author name="Yaron Caspi" />
  </authors>
  <command version="1.0" >
    <authors>
      <author name="Yaron Caspi" url="http://a.b/c" />
    </authors>
    <targets>
		<target os="*" arch="*" interpreter="python" paths="./bin" bin="mnc2mnc.py" />	
    </targets>
    <description>
      mnc2mnc - creates a dynamic link from a minc file 
    </description>
  </command>
  <interface>
  	 <inputs>
		<input id="Processed_Minc" name="minc file to link" datatype="MincImageFile" cardinality="1" order="1" required="true"/>
		<input id="Output_Dir" name="Directory to create the output link" datatype="Directory" cardinality="1" order="2" required="true"/>
	</inputs>
    	<outputs>
			<output id="output_file_mnc" name="Converted Mincfile" datatype="MincImageFile" cardinality="1" automatic="true" location="{input.Output_Dir[0]}/{input.Processed_Minc[0].filename}" method="path" required="true"/>		
    	</outputs>
  </interface>
</tool>
